## laby 0.6.3

=== Makefile ===
.PHONY: default all clean

include project.conf
PROJECT_ARCHIVE=$(PROJECT_NAME)-$(PROJECT_VERSION)

default: all

all:
	@./build --all

clean:
	@./build --clean

byte native byte-debug native-profile:
	@./build --$@

dist:
	@rm -rf "_dist/$(PROJECT_ARCHIVE)"
	@mkdir -p "_dist/$(PROJECT_ARCHIVE)"
	@mtn list known | while read i; do \
	  [ -f "$$i" ] && \
	    cp -f --parents "$$i" "_dist/$(PROJECT_ARCHIVE)/"; \
	done
	@cd _dist; tar czf "$(PROJECT_ARCHIVE).tar.gz" "$(PROJECT_ARCHIVE)"
	@echo archive stored in "_dist/$(PROJECT_ARCHIVE).tar.gz"

=== debian/changelog ===
laby (0.6.3-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:13 +0000

laby (0.6.3-1) unstable; urgency=low

  * New upstream release
  * Switch to 3.0 (quilt) source format.
  * Bump Standards-Version to 3.9.2, no changes required.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 26 Sep 2011 14:09:54 +0200

laby (0.5.5-1) unstable; urgency=low

  * New upstream release
    - Uses lablgtk2 (>= 2.14) which brings bindings for gtksourceview2
      (Closes: #541958).
  * Use new features of dh-ocaml: automatic computation of dependencies

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 01 Dec 2009 23:40:22 +0100

laby (0.5.4-1) unstable; urgency=low

  * New upstream release
    + Prolog mode
  * Choose the same icon as upstream
  * Add executable bit to all '/usr/share/laby/mods/*/lib/defs'
  * Bump debhelper's version to (>= 7.0.50~) in build-dependencies
  * Bump standards version to 3.8.3
  * Build-depend on ocaml-findlib (used to be a dependency of
    liblablgtksourceview) (Closes: #549830).

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 12 Sep 2009 11:35:09 +0200

laby (0.5.3-1) unstable; urgency=low

  * New Upstream Version
  * Remove DMUA, not needed anymore
  * Use my Debian address for the maintainer field

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 24 Aug 2009 11:45:11 +0200

laby (0.5.2-1) unstable; urgency=low

  * New Upstream Version
    - Ruby mode
    - New uptream homepage
  * Add ruby to the list of compilers in the dependency field and as
    a suggestion.
  * Update watch file
  * Update homepage field
  * Update the category in menus (menu, desktop): LogicGame
  * Bump standards version to 3.8.2
  * Fix permission of run/*/command files (add executable bit)

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 04 Aug 2009 14:14:54 +0200

laby (0.5.1-1) unstable; urgency=low

  * New Upstream Version
  * Update manpage: add --tile-size
  * Update OCaml version in build-deps

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Fri, 05 Jun 2009 12:43:47 +0200

laby (0.5.0-1) unstable; urgency=low

  * New Upstream Version
  * Remove menhir from build-dependencies: not used.
  * alsa-utils is now a Recommends: used only for sound effects.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Mon, 01 Jun 2009 21:35:00 +0200

laby (0.4.5-2) unstable; urgency=low

  * Fix FTBFS on non-native architectures: compiling using OCAML_BEST.
  * Add gbp.conf to force use of pristine-tar.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Sat, 23 May 2009 10:58:54 +0200

laby (0.4.5-1) unstable; urgency=low

  * Initial release (Closes: #515617)

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Wed, 13 May 2009 18:56:57 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

include /usr/share/ocaml/ocamlvars.mk
include /usr/share/ocaml/ocamlinit.mk

OCAML_BEST = $(if $(OCAML_OPT_ARCH),native,byte)

override_dh_auto_build:
	$(MAKE) $(OCAML_BEST)

override_dh_auto_install:
	cp $(shell readlink -f laby) $(CURDIR)/debian/laby/usr/games/laby
	cp -r data/* $(CURDIR)/debian/laby/usr/share/laby/
	find $(CURDIR)/debian/laby/usr/share/laby/mods/ -type f -name defs -print0 2>/dev/null | xargs -0r chmod a+x
	cp data/tiles/ant-e.svg $(CURDIR)/debian/laby/usr/share/icons/hicolor/scalable/apps/laby.svg
	cp debian/laby.xpm $(CURDIR)/debian/laby/usr/share/pixmaps/
	cp debian/laby.desktop $(CURDIR)/debian/laby/usr/share/applications/

%:
	dh --with ocaml $@

laby.6: laby.xml
# Verification
	-xmllint --nonet --noout --postvalid --xinclude $^
# Compilation
	xsltproc --output $@ --nonet --xinclude \
	  /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
	  $^

.PHONY: laby.6

=== debian/watch ===
version=3

http://www.pps.jussieu.fr/~gimenez/data/fdls/laby-(.*\..*)\.tar\.gz

## laby 0.6.4

=== Makefile ===
.PHONY: default all clean

include project.conf
PROJECT_ARCHIVE=$(PROJECT_NAME)-$(PROJECT_VERSION)

default: all

all:
	@./build --all

clean:
	@./build --clean

byte native byte-debug native-profile:
	@./build --$@

dist:
	@mkdir _dist
	@git archive --prefix="$(PROJECT_ARCHIVE)/" HEAD \
		 | gzip >_dist/"$(PROJECT_ARCHIVE)".tar.gz
	@echo archive stored in "_dist/$(PROJECT_ARCHIVE).tar.gz"

=== debian/changelog ===
laby (0.6.4-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends
  * Bump debhelper compat to 10
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 13:45:13 +0200

laby (0.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 22:51:52 +0100

=== debian/control ===
Source: laby
Section: games
Priority: extra
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper (>= 10),
 ocaml-nox (>= 3.11.1),
 ocaml-findlib,
 ocamlbuild,
 dh-ocaml (>= 0.9.0),
 liblablgtk2-ocaml-dev (>= 2.14),
 liblablgtksourceview2-ocaml-dev (>= 2.14)
Standards-Version: 3.9.2
Homepage: https://sgimenez.github.io/laby/
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/laby.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/laby.git

Package: laby
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ocaml-nox | java-compiler | c-compiler | c++-compiler | ruby | gprolog | valac | fp-compiler | rhino | guile | python3 | lua
Recommends: alsa-utils
Suggests:
 java-compiler,
 c-compiler,
 c++-compiler,
 gprolog,
 ruby,
 valac,
 fp-compiler,
 rhino,
 guile,
 python3,
 lua,
 ocaml-nox
Description: Learn how to program with ants and spider webs
 Laby is a small program to learn how to program with ants and spider webs.
 You have to move an ant out of a labyrinth, avoid spider webs, move rocks,
 etc.
 .
 Using Laby, you can learn OCaml, C, C++, Java, Prolog, Ruby, Pascal,
 JavaScript, Python, Lua, Vala and Scheme. Other bindings can easily be
 added to support new programming languages.

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	cp debian/laby.desktop $(CURDIR)/debian/laby/usr/share/applications/
 
 %:
-	dh --with ocaml $@
+	dh $@ --with ocaml
 
 laby.6: laby.xml
 # Verification

## laby 0.7.0

=== Makefile ===
.PHONY: default all clean

include project.conf
PROJECT_ARCHIVE=$(PROJECT_NAME)-$(PROJECT_VERSION)

DESTDIR ?=
PREFIX ?= /usr
BINDIR ?= $(PREFIX)/bin
DATADIR ?= $(PREFIX)/share

default: all

all:
	@./build --all

clean:
	@./build --clean

byte native byte-debug native-profile:
	@./build --$@

install:
	install -Dp --mode=0755 laby \
		"$(DESTDIR)$(BINDIR)/laby"
	install -d "$(DESTDIR)$(DATADIR)/laby/"
	cp -pr data/* "$(DESTDIR)$(DATADIR)/laby/"
	install -Dp --mode=0644 data/tiles/ant-e.svg \
		"$(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/laby.svg"
	desktop-file-install packaging/laby.desktop \
		--dir="$(DESTDIR)$(DATADIR)/applications"
	install -Dp --mode=0644 packaging/laby.appdata.xml \
		"$(DESTDIR)$(DATADIR)/appdata/laby.appdata.xml"

dist:
	@mkdir _dist
	@git archive --prefix="$(PROJECT_ARCHIVE)/" HEAD \
		 | gzip >"_dist/$(PROJECT_ARCHIVE).tar.gz"
	@echo archive stored in "_dist/$(PROJECT_ARCHIVE).tar.gz"

=== debian/changelog ===
laby (0.7.0-2build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 11:08:08 +0200

laby (0.7.0-2build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:31:51 +0100

laby (0.7.0-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:42:01 +0200

laby (0.7.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:12:12 +0000

laby (0.7.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:16:27 +0000

laby (0.7.0-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Bump Standards-Version to 4.6.2
  * Depend on ocaml instead of transitional ocaml-nox

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update watch file format version to 4.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 08:29:12 +0200

laby (0.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - this version uses lablgtksourceview3
    - add support for Go and PHP
  * Use upstream desktop file
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat level to 13

 -- Stéphane Glondu <glondu@debian.org>  Thu, 02 Jul 2020 09:59:10 +0200

laby (0.6.4-3) unstable; urgency=medium

  * Team upload
  * Update Vcs-*
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Sep 2019 15:23:14 +0200

=== debian/control ===
Source: laby
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-findlib,
 ocamlbuild,
 dh-ocaml,
 liblablgtk3-ocaml-dev (>= 3.1.0),
 liblablgtksourceview3-ocaml-dev (>= 3.1.0)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://sgimenez.github.io/laby/
Vcs-Browser: https://salsa.debian.org/ocaml-team/laby
Vcs-Git: https://salsa.debian.org/ocaml-team/laby.git

Package: laby
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ocaml | java-compiler | c-compiler | c++-compiler | ruby | gprolog | valac | fp-compiler | rhino | guile | python3 | lua | golang | php
Recommends: alsa-utils
Suggests:
 java-compiler,
 c-compiler,
 c++-compiler,
 gprolog,
 ruby,
 valac,
 fp-compiler,
 rhino,
 guile,
 python3,
 lua,
 golang,
 php,
 ocaml
Description: Learn how to program with ants and spider webs
 Laby is a small program to learn how to program with ants and spider webs.
 You have to move an ant out of a labyrinth, avoid spider webs, move rocks,
 etc.
 .
 Using Laby, you can learn OCaml, C, C++, Java, Prolog, Ruby, Pascal,
 JavaScript, Python, Lua, Vala, Scheme, Go and PHP. Other bindings can
 easily be added to support new programming languages.
